Bug 110243 - handles wrongly /etc/sysconfig/i18n with line SYSFONTACM="iso15"
handles wrongly /etc/sysconfig/i18n with line SYSFONTACM="iso15"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 10:05 EST by Jani Ollikainen
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-16 21:51:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jani Ollikainen 2003-11-17 10:05:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
/sbin/setsysfont handles wrongly /etc/sysconfig/i18n
when it has line like: 

SYSFONTACM="iso15"

it says that: mapscrn. cannot open map file _iso15_

Looking at /sbin/setsysfont i can see that:

SYSFONTACM=`echo $SYSFONTACM | sed "s|iso0|8859-|g"`

Ok, works if SYSFONTACM is "iso0<something>", but not when "iso15"
so let's fix it like:

SYSFONTACM=`echo $SYSFONTACM | sed "s|iso0|8859-|g;s|iso|8859-|g"`

And now it seems to work..


Version-Release number of selected component (if applicable):
7.42

How reproducible:
Always

Steps to Reproduce:
1. See description
2.
3.
    

Additional info:
Comment 1 Bill Nottingham 2004-03-16 21:51:15 EST
Fixed in 7.47-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.